searchData={"items":[{"type":"module","title":"Walle","doc":"# Walle\n\n> NIF for working with Ethereum wallets","ref":"Walle.html"},{"type":"module","title":"Installation - Walle","doc":"```elixir\ndef deps do\n  [\n    {:walle, \"~> 0.5.0\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"Walle.html#module-installation"},{"type":"function","title":"Walle.decrypt_keystore/2","doc":"Decrypts an encrypted JSON keystore from JSON string.\n\nDecryption supports the [Scrypt](https://tools.ietf.org/html/rfc7914.html) and [PBKDF2](https://ietf.org/rfc/rfc2898.txt) key derivation functions.","ref":"Walle.html#decrypt_keystore/2"},{"type":"function","title":"Walle.new_keystore/1","doc":"Creates a new random encrypted JSON with the provided password.","ref":"Walle.html#new_keystore/1"},{"type":"function","title":"Walle.public_address/1","doc":"Returns the public address from the given private key.","ref":"Walle.html#public_address/1"},{"type":"function","title":"Walle.recover/2","doc":"Recovers the Ethereum address which was used to sign the given message.\n\nRecovery signature data uses ‘Electrum’ notation, this means the `v` value is expected to be either `27` or `28`.","ref":"Walle.html#recover/2"},{"type":"function","title":"Walle.recover_typed_data/2","doc":"Recovers the address which signed the typed data (EIP-712).","ref":"Walle.html#recover_typed_data/2"},{"type":"function","title":"Walle.sign_message/2","doc":"Signs the given message with the provided private key.","ref":"Walle.html#sign_message/2"},{"type":"function","title":"Walle.sign_typed_data/2","doc":"Signs typed data (EIP-712) with the provided private key.","ref":"Walle.html#sign_typed_data/2"},{"type":"function","title":"Walle.verify/3","doc":"Verifies that `signature` on `message` was produced by `address`","ref":"Walle.html#verify/3"},{"type":"module","title":"Walle.Wallet","doc":"Wallet specifc functions.","ref":"Walle.Wallet.html"},{"type":"function","title":"Walle.Wallet.address/1","doc":"Returns the public address from the given private key.","ref":"Walle.Wallet.html#address/1"},{"type":"function","title":"Walle.Wallet.export_private_key/1","doc":"Export the private key of the given wallet.","ref":"Walle.Wallet.html#export_private_key/1"},{"type":"function","title":"Walle.Wallet.from_keystore/2","doc":"Returns a new wallet from the given keystore and password.","ref":"Walle.Wallet.html#from_keystore/2"},{"type":"function","title":"Walle.Wallet.from_private_key/1","doc":"Returns a new wallet from the given private key.","ref":"Walle.Wallet.html#from_private_key/1"},{"type":"function","title":"Walle.Wallet.from_seed_phrase/1","doc":"Returns a new wallet from seed phrase.","ref":"Walle.Wallet.html#from_seed_phrase/1"},{"type":"function","title":"Walle.Wallet.new/0","doc":"Generates a new random wallet.","ref":"Walle.Wallet.html#new/0"},{"type":"function","title":"Walle.Wallet.sign_message/2","doc":"Signs the given message with the provided private key.","ref":"Walle.Wallet.html#sign_message/2"},{"type":"function","title":"Walle.Wallet.sign_typed_data/2","doc":"Signs typed data (EIP-712) with the provided private key.","ref":"Walle.Wallet.html#sign_typed_data/2"},{"type":"function","title":"Walle.Wallet.to_keystore/2","doc":"Generates an encrypted JSON keystore from the given wallet.\n\nThe keystore is encrypted with the provided password.","ref":"Walle.Wallet.html#to_keystore/2"}],"content_type":"text/markdown"}